
# Class: SetRemoteMockupCommand

A command that changes mockups by direct URLs.
A command that changes mockups by direct URLs.

For details, you can refer to the [ISetRemoteMockupParams](../README.md#isetremotemockupparams).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setRemoteMockup": [{
      "surfaceIndex": 0,
      "mockup": "down",
      "url": "http://example.com/mockup.png"
    }]
  }
}
```

For details, you can refer to the [ISetRemoteMockupParams](../README.md#isetremotemockupparams).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setRemoteMockup": [{
      "surfaceIndex": 0,
      "mockup": "down",
      "url": "http://example.com/mockup.png"
    }]
  }
}
```

## Hierarchy

* [CanvasWidgetCommand](canvaswidgetcommand.md)

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **SetRemoteMockupCommand**

## Index

### Methods

* [execute](setremotemockupcommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [ISetRemoteMockupParams](../README.md#isetremotemockupparams)): *Promise‹any›*

*Overrides [CanvasWidgetCommand](canvaswidgetcommand.md).[execute](canvaswidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [ISetRemoteMockupParams](../README.md#isetremotemockupparams) | Parameters for the command.  |

**Returns:** *Promise‹any›*
